Subject: APPN MIB support for local node as LEN

From: Bob Clouston <[email-masked]>
Date: Mon, 16 Oct 95 11:02:36 EDT

One of the appnNodeType enums is 't21len'.  There seems to be no other
concessions to LEN nodes as the local node in the MIB.  Specifically, 
there is appnNnUniqueInfoAndCaps and appnEnUniqueInfoAndCaps, but no
section for LEN.  In the appnEnUniqueInfoAndCaps are objects that are
base for ENs and optional for LENs.  If LENs are to be included, it should
be indicated that this is a LEN/EN section.  If not, remove those objects
that are base EN support or are otherwise constant values for ENs.

I propose that we remove the 't21len' type in appnNodeType and not
support LENs as local node.  (Note that support for LENs as adjacent nodes
to the agent node remains.)  I feel that the SNA NAU and/or APPC MIBs
are sufficient to support LENs.  I also propose we remove the 
appnEnUnique... objects that are constants for ENs.

Bob Clouston
Cisco Systems